	.code
	.proc
	.callinfo calls, save_rp, args_saved, frame=16
	.entry
        .export &mFNAME,long_return,entry
        .import _mFdynload,code
&mFNAME
	stw	%r2,-20(%sp)
	stw	%r2,-24(%sp)
        ldo     64(%sp),%sp
        stw     %r26,-36-64(%sp)
        stw     %r25,-40-64(%sp)
        stw     %r24,-44-64(%sp)
        stw     %r23,-48-64(%sp)
	stw	%r0, -52(%sp)
	copy	%r0, %r23
        addil   LT'$&mFNAME,%r19
        ldw     RT'$&mFNAME(%r1),%r22
        ldw     0(%r22),%r24
        ldo     4(%r22),%r25
	bl	_mFdynload,%r2
	copy	%r0, %r26
	ldw	-20-64(%sp),%r2
        ldw     -36-64(%sp),%r26
        ldw     -40-64(%sp),%r25
        ldw     -44-64(%sp),%r24
        ldw     -48-64(%sp),%r23
	ldw	-2(%r28),%r22
	ldw	2(%r28),%r19
	ldsid	(%r22),%r1
	mtsp	%r1,%sr0
	be	0(%r22)
	.exit
	ldo	-64(%sp),%sp
	.procend
        .data
$&mFNAME
        .word    p%&mFNAME
        .stringz "&mFNAM2"
